# SNESMonitorSetRatio

Sets SNES to use a monitor that prints the ratio of the function norm at each iteration.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESMonitorSetRatio(SNES snes,PetscViewerASCIIMonitor viewer)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| viewer | - ASCII viewer to print output

### Keywords

SNES, nonlinear, monitor, norm

### See Also

SNESMonitorSet(), SNESMonitorSolution(), SNESMonitorDefault()

Level:intermediate
Location: src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages